Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.uimacpp
Class UimacppException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.uima.uimacpp.UimacppException

All Implemented Interfaces:
  Serializable

    public class UimacppException

extends Exception

Use this class to signalize a fatal (internal) error to the API user.

See Also:
  Serialized Form

Constructor Summary
`UimacppException(Exception ex)` Constructs a `JTafRuntimeException` with the specified nested exception.

Method Summary
`Exception` | `getEmbeddedException()` get the embedded exception, if any.
`String` | `getMessage()` Returns a detail message.
`void` | `printStackTrace()` Prints the composite message to `System.err`.
`void` | `printStackTrace(PrintStream ps)` Prints the composite message and the embedded stack trace to the specified print stream, `ps`.
`void` | `printStackTrace(PrintWriter pw)` Prints the composite message and the embedded stack trace to the specified print writer, `pw`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UimacppException

    public UimacppException(Exception ex)

  Constructs a `JTafRuntimeException` with the specified nested exception.

  Parameters:
    `ex` - the nested exception

Method Detail

### getMessage

    public String getMessage()

  Returns a detail message. If present, this will also include the nested exception.

  Overrides:
    `getMessage` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the composite message and the embedded stack trace to the specified print stream, `ps`.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the print stream

### printStackTrace

    public void printStackTrace()

  Prints the composite message to `System.err`.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the composite message and the embedded stack trace to the specified print writer, `pw`

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the print writer

### getEmbeddedException

    public Exception getEmbeddedException()

  get the embedded exception, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.